/*
 * Copyright (c) Des Herriott 1993, 1994
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the copyright holder not be used in
 * advertising or publicity pertaining to distribution of the software without
 * specific, written prior permission.  The copyright holder makes no
 * representations about the suitability of this software for any purpose.  It
 * is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * Author: Des Herriott
 */

/*
 *    Header file edops.h - declarations for the Z80 ED-prefix operations.
 */

/* NB.  Lots of undocumented ops. here! */

void
	Undocumented(),
	in_b__c_(), out__c__b(), sbc_hl_bc(), ld__NN__bc(),
	neg(), retn(), im_0(), ld_i_a(),
	in_c__c_(), out__c__c(), adc_hl_bc(), ld_bc__NN_(),
	reti(), ld_r_a(), in_d__c_(), out__c__d(),
	sbc_hl_de(), ld__NN__de(), im_1(), ld_a_i(),
	in_e__c_(), out__c__e(), adc_hl_de(), ld_de__NN_(),
	im_2(), ld_a_r(), in_h__c_(), out__c__h(),
	sbc_hl_hl(), ld__nn__hl(), rrd(), in_l__c_(),
	out__c__l(), adc_hl_hl(), ld_hl__NN_(), rld(),
	in_f__c_(), sbc_hl_sp(), ld__NN__sp(), in_a__c_(),
	out__c__a(), adc_hl_sp(), ld_sp__NN_(), ldi(),
	cpi(), ini(), outi(), ldd(),
	cpd(), ind(), outd(), ldir(),
	cpir(), inir(), otir(), lddr(),
	cpdr(), indr(), otdr();
